
Name:           albumeasy
Version:        4.5.0
Release:        %mkrel 1
Summary:        A free custom stamp album page layout and design software.
License:        GPLv3
Group:          Office
URL:            www.thestampweb.com/
Source0:        http://www.thestampweb.com/download.html/AlbumEasySetupV%{version}_64bit.tar.xz
Source1:	    albumeasy.desktop

Requires: lib64qt5core5
Requires: lib64qt5gui5
Requires: lib64qt5widgets5

%description
An easy to use page layout program for creating custom
stamp albums.

You need a pdf viewer and text editor of your choice to
fully utilize this application.

%prep
%setup -qnAlbumEasy

%build

%install
rm -rf %buildroot
mkdir -p %buildroot

install -d -m 755 %{buildroot}/opt/AlbumEasy

cp -av * %{buildroot}/opt/AlbumEasy

mkdir -p %buildroot/%_datadir/pixmaps
cp %buildroot/opt/AlbumEasy/AlbumEasyIcon48x48.png %buildroot/%_datadir/pixmaps/albumeasy.png

mkdir -p %buildroot/%_bindir
cat << EOF > %{buildroot}/%_bindir/albumeasy
#!/bin/bash
pushd /opt/AlbumEasy
./AlbumEasy.sh
popd
EOF
chmod 0755  %{buildroot}/%_bindir/albumeasy

mkdir -p %buildroot/%_datadir/applications
install -m 0644 %SOURCE1 %buildroot/%_datadir/applications

%files
/opt/AlbumEasy
%_bindir/albumeasy
%_datadir/pixmaps/albumeasy.png
%_datadir/applications/albumeasy.desktop


%changelog
* Mon Jul 31 2023 tex - 4.5.0-1pclos2023
- new version

* Sun Nov 20 2022 tex - 4.4.0-1pclos2022
- new version

* Fri Jun 03 2022 tex - 4.3.1-1pclos2022
- new version

* Wed Oct 16 2019 tex - 4.1.0-1pclos2019
- new version

* Mon Oct 07 2019 tex - 4.0.1-2pclos2019
- rebuild against updates

* Thu Jun 27 2019 tex - 4.0.1-1pclos2019
- new version

* Sun Jun 16 2019 tex 4.0.0-1pclos2019
- new

* Tue Oct 09 2018 pp <pp> 3.9.0-1pclos2018
- update

* Thu Sep 28 2018 tex 3.8.0-1pclos2018
- new

* Sat Feb 10 2018 pp <pp> 3.7.0-1pclos2018
- update

* Tue Dec 20 2016 bb <bb> 3.4.0-1pclos2017
- create

